Package org.apache.sysds.conf

# Class CompilerConfig

java.lang.Object
org.apache.sysds.conf.CompilerConfig

public class CompilerConfig extends Object
Basic wrapper for all compiler configurations that are configured dynamically on a per script invocation basis. This allows us to provide thread-local compiler configurations to prevent side-effects between multiple scripts running in the same JVM process.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`CompilerConfig.ConfigType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`FLAG_DYN_RECOMPILE`
`static boolean`
`FLAG_PARREADWRITE_BINARY`
`static boolean`
`FLAG_PARREADWRITE_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`CompilerConfig()`
`CompilerConfig(CompilerConfig conf)`

## Method Summary

Modifier and Type
Method
Description
`CompilerConfig`
`clone()`
`boolean`
`getBool(CompilerConfig.ConfigType key)`
`int`
`getInt(CompilerConfig.ConfigType key)`
`void`
`set(CompilerConfig.ConfigType key, boolean value)`
`void`
`set(CompilerConfig.ConfigType key, int value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FLAG_DYN_RECOMPILE

public static boolean FLAG_DYN_RECOMPILE

### FLAG_PARREADWRITE_TEXT

public static boolean FLAG_PARREADWRITE_TEXT

### FLAG_PARREADWRITE_BINARY

public static boolean FLAG_PARREADWRITE_BINARY

## Constructor Details

### CompilerConfig

public CompilerConfig()

### CompilerConfig

public CompilerConfig(CompilerConfig conf)

## Method Details

### set

public void set(CompilerConfig.ConfigType key, boolean value)

### set

public void set(CompilerConfig.ConfigType key, int value)

### getBool

public boolean getBool(CompilerConfig.ConfigType key)

### getInt

public int getInt(CompilerConfig.ConfigType key)

### clone

public CompilerConfig clone()